package com.nokia.financeapi.pojo.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class GetBuildingMapDto {
    @Schema(description = "账期，不传默认最新", example = "202309")
    private Integer endDate;
    @Schema(description = "地市", example = "石家庄")
    private String city;
    @Schema(description = "区县", example = "长安区")
    private String district;
    @Schema(description = "左上角经度", example = "114.51725372562")
    private BigDecimal leftLng;
    @Schema(description = "左上角纬度", example = "38.04601307454851")
    private BigDecimal leftLat;
    @Schema(description = "右下角经度", example = "114.53074627437987")
    private BigDecimal rightLng;
    @Schema(description = "右下角角纬度", example = "38.05078693947483")
    private BigDecimal rightLat;
    /**
     * 开始日期
     */
    @Hidden
    private Integer startDate;
}
